apiVersion: kiali.io/v1alpha1
kind: Kiali
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"kiali.io/v1alpha1","kind":"Kiali","metadata":{"annotations":{"maistra.io/mesh-generation":"OSSM_2.6.11-1"},"labels":{"app.kubernetes.io/component":"kiali","app.kubernetes.io/instance":"istio-system-a","app.kubernetes.io/managed-by":"maistra-istio-operator","app.kubernetes.io/name":"kiali","app.kubernetes.io/part-of":"istio","app.kubernetes.io/version":"OSSM_2.6.11-1","maistra-version":"2.6.11","maistra.io/owner":"istio-system-a","maistra.io/owner-name":"basic"},"name":"kiali","namespace":"istio-system-a","ownerReferences":[{"apiVersion":"maistra.io/v2","blockOwnerDeletion":true,"controller":true,"kind":"ServiceMeshControlPlane","name":"basic","uid":"7a9b81a6-5631-46bc-90ab-174ba0ba7887"}]},"spec":{"auth":{"strategy":"openshift"},"deployment":{"accessible_namespaces":[],"image_pull_policy":"","ingress":{"enabled":true},"namespace":"istio-system-a","pod_labels":{"sidecar.istio.io/inject":"false"}},"external_services":{"custom_dashboards":{"namespace_label":"kubernetes_namespace"},"grafana":{"auth":{"password":"qMcR071G1NayU6/SIL/dIOmQRpfKImzr3iMnU21PTwJYhR4wRXyV/BVjjO2NoIKONwTmi4NPlHxb5mfZXBuHOOvPlVm2OAojRoV28z04PDq8TWs8TbJi+zDts94knt+wS4WdOv9iqC5mSfcY4oBPbxEC409GLcFpuHbLZ37UUTOB89nmy9L+EaEyovlB0qMor8xjT+VDKTTQcxmgrjWeyRYE982QozSHe6QsvQDzCPDbLj0oSh486er1UA++DNNNILRhR7LVvV2JdV/wVNgpsGhQ0x9XJvAfkWkZkfm3+zCYkBEifJ+m+N4u3KhKS7zq2qgHx8HZvzV6glMJfILL","type":"basic","use_kiali_token":false,"username":"internal"},"enabled":true,"in_cluster_url":"https://grafana.istio-system-a.svc:3000","url":"https://grafana-istio-system-a.apps.ci-ln-6mgv70t-c1627.vmc-ci.devcluster.openshift.com"},"istio":{"config_map_name":"istio-basic","istio_sidecar_injector_config_map_name":"istio-sidecar-injector-basic","istiod_deployment_name":"istiod-basic","url_service_version":"http://istiod-basic.istio-system-a:15014/version"},"prometheus":{"auth":{"password":"qMcR071G1NayU6/SIL/dIOmQRpfKImzr3iMnU21PTwJYhR4wRXyV/BVjjO2NoIKONwTmi4NPlHxb5mfZXBuHOOvPlVm2OAojRoV28z04PDq8TWs8TbJi+zDts94knt+wS4WdOv9iqC5mSfcY4oBPbxEC409GLcFpuHbLZ37UUTOB89nmy9L+EaEyovlB0qMor8xjT+VDKTTQcxmgrjWeyRYE982QozSHe6QsvQDzCPDbLj0oSh486er1UA++DNNNILRhR7LVvV2JdV/wVNgpsGhQ0x9XJvAfkWkZkfm3+zCYkBEifJ+m+N4u3KhKS7zq2qgHx8HZvzV6glMJfILL","type":"basic","use_kiali_token":false,"username":"internal"},"url":"https://prometheus.istio-system-a.svc:9090"},"tracing":{"auth":{"password":"qMcR071G1NayU6/SIL/dIOmQRpfKImzr3iMnU21PTwJYhR4wRXyV/BVjjO2NoIKONwTmi4NPlHxb5mfZXBuHOOvPlVm2OAojRoV28z04PDq8TWs8TbJi+zDts94knt+wS4WdOv9iqC5mSfcY4oBPbxEC409GLcFpuHbLZ37UUTOB89nmy9L+EaEyovlB0qMor8xjT+VDKTTQcxmgrjWeyRYE982QozSHe6QsvQDzCPDbLj0oSh486er1UA++DNNNILRhR7LVvV2JdV/wVNgpsGhQ0x9XJvAfkWkZkfm3+zCYkBEifJ+m+N4u3KhKS7zq2qgHx8HZvzV6glMJfILL","type":"basic","use_kiali_token":false,"username":"internal"},"enabled":false,"in_cluster_url":"https://jaeger-query.istio-system-a.svc","namespace":"istio-system-a","service":"","url":"","use_grpc":false}},"installation_tag":"Kiali [istio-system-a]","istio_namespace":"istio-system-a","version":"v1.73"}}
    maistra.io/mesh-generation: OSSM_2.6.11-1
  creationTimestamp: "2025-12-09T16:44:35Z"
  finalizers:
  - kiali.io/finalizer
  generation: 1
  labels:
    app.kubernetes.io/component: kiali
    app.kubernetes.io/instance: istio-system-a
    app.kubernetes.io/managed-by: maistra-istio-operator
    app.kubernetes.io/name: kiali
    app.kubernetes.io/part-of: istio
    app.kubernetes.io/version: OSSM_2.6.11-1
    maistra-version: 2.6.11
    maistra.io/owner: istio-system-a
    maistra.io/owner-name: basic
  name: kiali
  namespace: istio-system-a
  ownerReferences:
  - apiVersion: maistra.io/v2
    blockOwnerDeletion: true
    controller: true
    kind: ServiceMeshControlPlane
    name: basic
    uid: 7a9b81a6-5631-46bc-90ab-174ba0ba7887
  resourceVersion: "54990"
  uid: cf6c0155-9fb1-4268-a77e-7e0338b06ad2
spec:
  auth:
    strategy: openshift
  deployment:
    accessible_namespaces: []
    image_pull_policy: ""
    ingress:
      enabled: true
    namespace: istio-system-a
    pod_labels:
      sidecar.istio.io/inject: "false"
  external_services:
    custom_dashboards:
      namespace_label: kubernetes_namespace
    grafana:
      auth:
        password: qMcR071G1NayU6/SIL/dIOmQRpfKImzr3iMnU21PTwJYhR4wRXyV/BVjjO2NoIKONwTmi4NPlHxb5mfZXBuHOOvPlVm2OAojRoV28z04PDq8TWs8TbJi+zDts94knt+wS4WdOv9iqC5mSfcY4oBPbxEC409GLcFpuHbLZ37UUTOB89nmy9L+EaEyovlB0qMor8xjT+VDKTTQcxmgrjWeyRYE982QozSHe6QsvQDzCPDbLj0oSh486er1UA++DNNNILRhR7LVvV2JdV/wVNgpsGhQ0x9XJvAfkWkZkfm3+zCYkBEifJ+m+N4u3KhKS7zq2qgHx8HZvzV6glMJfILL
        type: basic
        use_kiali_token: false
        username: internal
      enabled: true
      in_cluster_url: https://grafana.istio-system-a.svc:3000
      url: https://grafana-istio-system-a.apps.ci-ln-6mgv70t-c1627.vmc-ci.devcluster.openshift.com
    istio:
      config_map_name: istio-basic
      istio_sidecar_injector_config_map_name: istio-sidecar-injector-basic
      istiod_deployment_name: istiod-basic
      url_service_version: http://istiod-basic.istio-system-a:15014/version
    prometheus:
      auth:
        password: qMcR071G1NayU6/SIL/dIOmQRpfKImzr3iMnU21PTwJYhR4wRXyV/BVjjO2NoIKONwTmi4NPlHxb5mfZXBuHOOvPlVm2OAojRoV28z04PDq8TWs8TbJi+zDts94knt+wS4WdOv9iqC5mSfcY4oBPbxEC409GLcFpuHbLZ37UUTOB89nmy9L+EaEyovlB0qMor8xjT+VDKTTQcxmgrjWeyRYE982QozSHe6QsvQDzCPDbLj0oSh486er1UA++DNNNILRhR7LVvV2JdV/wVNgpsGhQ0x9XJvAfkWkZkfm3+zCYkBEifJ+m+N4u3KhKS7zq2qgHx8HZvzV6glMJfILL
        type: basic
        use_kiali_token: false
        username: internal
      url: https://prometheus.istio-system-a.svc:9090
    tracing:
      auth:
        password: qMcR071G1NayU6/SIL/dIOmQRpfKImzr3iMnU21PTwJYhR4wRXyV/BVjjO2NoIKONwTmi4NPlHxb5mfZXBuHOOvPlVm2OAojRoV28z04PDq8TWs8TbJi+zDts94knt+wS4WdOv9iqC5mSfcY4oBPbxEC409GLcFpuHbLZ37UUTOB89nmy9L+EaEyovlB0qMor8xjT+VDKTTQcxmgrjWeyRYE982QozSHe6QsvQDzCPDbLj0oSh486er1UA++DNNNILRhR7LVvV2JdV/wVNgpsGhQ0x9XJvAfkWkZkfm3+zCYkBEifJ+m+N4u3KhKS7zq2qgHx8HZvzV6glMJfILL
        type: basic
        use_kiali_token: false
        username: internal
      enabled: false
      in_cluster_url: https://jaeger-query.istio-system-a.svc
      namespace: istio-system-a
      service: ""
      url: ""
      use_grpc: false
  installation_tag: Kiali [istio-system-a]
  istio_namespace: istio-system-a
  version: v1.73
status:
  conditions:
  - ansibleResult:
      changed: 14
      completion: "2025-12-09T16:45:00.274878+00:00"
      failures: 0
      ok: 94
      skipped: 53
    lastTransitionTime: "2025-12-09T16:44:35Z"
    message: Awaiting next reconciliation
    reason: Successful
    status: "True"
    type: Running
  - lastTransitionTime: "2025-12-09T16:45:00Z"
    message: Last reconciliation succeeded
    reason: Successful
    status: "True"
    type: Successful
  - lastTransitionTime: "2025-12-09T16:45:00Z"
    message: ""
    reason: ""
    status: "False"
    type: Failure
  deployment:
    accessibleNamespaces: istio-system-a
    instanceName: kiali
    namespace: istio-system-a
  environment:
    isMaistra: true
    isOpenshift: true
    kubernetesVersion: 1.32.10
    openshiftVersion: 4.19.0-0.nightly-2025-12-08-213754
    operatorVersion: v2.11.4
  progress:
    duration: "0:00:22"
    message: 8. Finished all resource creation
  specVersion: v1.73
